> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/connection-and-authentication.md).

# Connection and Authentication

## List

> Retrieve a list of all the settings for RAS authentication

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ConnectionAuthentication":{"get":{"tags":["2-Site settings/Connection and Authentication//Authentications"],"summary":"List","description":"Retrieve a list of all the settings for RAS authentication","operationId":"270ad987-690c-4515-a692-393a97c3cb74","parameters":[{"name":"SiteId","in":"query","description":"Site ID for which to retrieve all the settings for RAS authentication (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RASAuthSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RASAuthSettings":{"type":"object","properties":{"authType":{"$ref":"#/components/schemas/AuthenticationTypes"},"allTrustedDomains":{"type":"boolean","description":"<para type=\"description\">Whether to use all trusted domains.</para>"},"domain":{"type":"string","description":"<para type=\"description\">Domain name.</para>","nullable":true},"useClientDomain":{"type":"boolean","description":"<para type=\"description\">Whether to use the client domain, if specified.</para>"},"forceNetBIOSCreds":{"type":"boolean","description":"<para type=\"description\">Whether to force clients to use NetBIOS credentials.</para>"},"replicateSettings":{"type":"boolean","description":"<para type=\"description\">Whether to replicate settings to other sites.</para>"},"useChangePasswordURL":{"type":"boolean","description":"<para type=\"description\">Enable use custom link for the \"Change domain password\" option.</para>"},"changePasswordURL":{"type":"string","description":"<para type=\"description\">Custom link for the \"Change domain password\" option.</para>","nullable":true},"siteId":{"type":"integer","description":"<para type=\"description\">The site ID to which the RAS authentication settings refer.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Authentication Settings</para>\r\n<para type=\"description\"></para>"},"AuthenticationTypes":{"enum":[["1 = UsernamePassword","2 = SmartCard","3 = UsernamePasswordOrSmartCard","4 = Web","8 = WebCredentials"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Authentication Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Update RAS authentication settings

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ConnectionAuthentication":{"put":{"tags":["2-Site settings/Connection and Authentication//Authentications"],"summary":"Update","description":"Update RAS authentication settings","operationId":"d902c2bb-7359-4a86-97f7-1a99a6dae7ba","parameters":[{"name":"SiteId","in":"query","description":"ID of the site for which the RAS authentication settings will be updated","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"RAS allowed device settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetAuthSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetAuthSettings":{"type":"object","properties":{"authType":{"$ref":"#/components/schemas/AuthenticationTypes"},"allTrustedDomains":{"type":"boolean","description":"<para type=\"description\">Whether to use all trusted domains.</para>","nullable":true},"domain":{"maxLength":64,"minLength":1,"type":"string","description":"<para type=\"description\">Domain name.</para>","nullable":true},"useClientDomain":{"type":"boolean","description":"<para type=\"description\">Whether to use the client domain, if specified.</para>","nullable":true},"forceNetBIOSCreds":{"type":"boolean","description":"<para type=\"description\">Whether to force clients to use NetBIOS credentials.</para>","nullable":true},"replicateSettings":{"type":"boolean","description":"<para type=\"description\">Whether to replicate settings to other sites.</para>","nullable":true},"useChangePasswordURL":{"type":"boolean","description":"<para type=\"description\">Enable use custom link for the \"Change domain password\" option.</para>","nullable":true},"changePasswordURL":{"type":"string","description":"<para type=\"description\">Custom link for the \"Change domain password\" option.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update the authentication settings</para>\r\n<para type=\"description\"></para>"},"AuthenticationTypes":{"enum":[["1 = UsernamePassword","2 = SmartCard","3 = UsernamePasswordOrSmartCard","4 = Web","8 = WebCredentials"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Authentication Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## List

> Retrieve a list of all the Trusted Domains.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ConnectionAuthentication/TrustedDomain":{"get":{"tags":["2-Site settings/Connection and Authentication//Authentications"],"summary":"List","description":"Retrieve a list of all the Trusted Domains.","operationId":"d5c255c0-5b60-4dd9-a7b4-88b9c9a2783c","parameters":[{"name":"SiteId","in":"query","description":"Site ID for which to retrieve all the Trusted Domains (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"type":"string"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/connection-and-authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
